Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 11/04/2024, à 23:07

stefang7

[Résolu] problème avec appimage

Salut à tous ! big_smile

Je me retrouve dans un petit dilemme avec Ubuntu et les fichiers .AppImage. Je tourne sur la dernière version LTS, mais il semble qu'elle ait embrassé FUSE 3, laissant FUSE 2 derrière elle. Résultat ? Mes AppImages font la tête et refusent de fonctionner correctement. hmm

Quelqu'un d'autre a-t-il rencontré ce problème ? Je suis curieux de savoir si je suis le seul à naviguer dans cette galère ou si c'est une petite fête de bugs et je n'ai pas reçu mon invitation.

Pensez-vous que le problème vient des développeurs des applications qui restent accrochés à FUSE 2, ou est-ce que c'est plutôt l'équipe d'Ubuntu qui a pris le train de la modernité un peu trop tôt ?

Merci d'avance pour vos lumières et vos conseils ! cool

À bientôt sur le forum,

Stefang7

Dernière modification par stefang7 (Le 13/04/2024, à 08:32)

Hors ligne

#2 Le 11/04/2024, à 23:38

eric63

Re : [Résolu] problème avec appimage

Salut
Normalement les appimages sont très en pointe de la modernité et sont conçus pour avoir tous leurs dépendances emportées avec leur contenaire.
Pourquoi met tu en cause fuse3 ?
peut être qu’une mise à jour de ces appimages pourrait résoudre ton problème

Dernière modification par eric63 (Le 11/04/2024, à 23:38)


Kubuntu 24.04 - WAYLAND- 64 bits + backports bêta = plasma 5.27.11 KDE 5.115.0 Qt 5.15.13 et noyau 6.8.0-31  12 × 12th Gen Intel® Core™ i5-12400F 4.4Ghz 32Go nvidia RTX 3060 12GB 3écrans
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#3 Le 12/04/2024, à 08:31

Rafbor

Re : [Résolu] problème avec appimage

Bonjour, @stefang7: tu as raison, il faut installer libfuse2, cf la doc appimage pour Ubuntu  >=22.04

sudo apt install libfuse2

Dernière modification par Rafbor (Le 12/04/2024, à 08:31)


Xubuntu 22.04 - Mes projets sur Github

Hors ligne

#4 Le 12/04/2024, à 09:48

geole

Re : [Résolu] problème avec appimage

Bonjour.
La documentation ubuntu le précise bien.


Les grilles de l'installateur https://doc.ubuntu-fr.org/tutoriel/inst … _subiquity
"gedit admin:///etc/fstab" est proscrit,  utilisez "pkexec env DISPLAY=$DISPLAY XAUTHORITY=$XAUTHORITY xdg-open /etc/fstab" Voir  https://doc.ubuntu-fr.org/gedit
Les partitions EXT4 des disques externes => https://forum.ubuntu-fr.org/viewtopic.p … #p22697248

Hors ligne

#5 Le 13/04/2024, à 08:18

stefang7

Re : [Résolu] problème avec appimage

eric63 a écrit :

Salut
Normalement les appimages sont très en pointe de la modernité et sont conçus pour avoir tous leurs dépendances emportées avec leur contenaire.
Pourquoi met tu en cause fuse3 ?
peut être qu’une mise à jour de ces appimages pourrait résoudre ton problème


Salut Eric63 et merci pour ta réponse!

J'ai essayé avec des applications très récentes comme Cursor et AnythingLLM, qui semblent toutes deux avoir besoin de FUSE 2 pour fonctionner correctement. J'ai tenté de faire cohabiter FUSE 2 et FUSE 3, mais sans succès. Même essayer d'installer FUSE 2 à la place de la version 3 a causé pas mal de désordres dans mon système (j'ai même perdu l'accès aux "paramètres Ubuntu" dans l'OS).

Je me demande donc si c'est Ubuntu qui a peut-être intégré FUSE 3 un peu précipitamment, ou si c'est plutôt aux développeurs de ces applications de mettre à jour leur compatibilité. J'aimerais vraiment comprendre d'où vient le problème pour trouver une solution viable.

Merci encore pour ton aide et tes suggestions!  ?

À bientôt sur le forum!

Stefang7

Hors ligne

#6 Le 13/04/2024, à 08:25

stefang7

Re : [Résolu] problème avec appimage

Rafbor a écrit :

Bonjour, @stefang7: tu as raison, il faut installer libfuse2, cf la doc appimage pour Ubuntu  >=22.04

sudo apt install libfuse2

Salut Rafbor,

Bon je viens de lire la doc du lien que tu m'as envoyé et effectivement la commande à parfaitement fonctionné SANS foutre le souk dans mon OS.

Merci big_smile


Stefang7

Hors ligne

#7 Le 13/04/2024, à 08:28

xubu1957

Re : [Résolu] problème avec appimage


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

Hors ligne

#8 Le 13/04/2024, à 08:29

stefang7

Re : [Résolu] problème avec appimage

geole a écrit :

Bonjour.
La documentation ubuntu le précise bien.


Salut Geole,

Donc je viens de parcourir la doc, effectivement je suis passé à coté.

Thx

Hors ligne

#9 Le 13/04/2024, à 08:31

stefang7

Re : [Résolu] problème avec appimage


Salut xubu1957,

Je viens à l'instant de résoudre le problème grâce à le commande :

sudo apt install libfuse2

Merci

Hors ligne